transformy {KODAMA} | R Documentation

## Conversion Classification Vector to Matrix

### Description

This function converts a classification vector into a classification matrix.

### Usage

    transformy(y)

### Arguments

`y` | a vector or factor.

### Details

This function converts a classification vector into a classification matrix.

### Value

A matrix.

### Author(s)

Stefano Cacciatore and Leonardo Tenori

### References

Cacciatore S, Luchinat C, Tenori L
Knowledge discovery by accuracy maximization.
Proc Natl Acad Sci U S A 2014;111(14):5117-22. doi: 10.1073/pnas.1220873111. Link
Cacciatore S, Tenori L, Luchinat C, Bennett PR, MacIntyre DA
KODAMA: an updated R package for knowledge discovery and data mining.
Bioinformatics 2017;33(4):621-623. doi: 10.1093/bioinformatics/btw705. Link

### Examples

    y=rep(1:10,3)
    print(y)
    z=transformy(y)
    print(z)

[Package KODAMA version 1.5 Index]